# meds/bots/cli.py
#
#

""" plugin providing a class for a CLI bot. """

from meds.utils.name import sname
from meds.log import YELLOW, ENDC
from meds.event import Event
from meds.bots import Bot
from meds.cfg import cfg

import termios
import select
import sys
import os

class CLI(Bot):

    def __init__(self, *args, **kwargs):
        super().__init__(self, *args, **kwargs)
        self._resume.fd = self.register_fd(sys.stdin)

    def event(self):
        event = Event()
        event.btype = sname(self)
        event.txt = str(os.read(fd, 512), "utf-8")
        event.txt = event.txt.rstrip()
        event.origin = "root@shell"
        yield event

    def out(self, txt):
        sys.stdout.write(txt)
        sys.stdout.write("\n")
        sys.stdout.flush()

    def prompt(self):
        if cfg.main.colors: txt = "%s>%s " % (YELLOW, ENDC)
        else: txt = "> "
        sys.stdout.write(txt)
        sys.stdout.flush()
