# meds/plugs/aliases.py
#
#

"""
    add aliases to the kernel's aliases table. 

    >>> e = bot.cmnd("alias l cmnds")
    >>> e.wait()
    ok l

"""

from meds.core import aliases as _aliases
from meds.core import storage

def alias(event):
    """ key, value aliases. """
    user = storage.last("user", event.origin)
    if not user:
        event.reply("your are not a user.")
        return 
    if (user and "ALIAS" not in user.permissions):
        event.reply("EPERM ALIAS %s" % event.origin)
        return
    try: cmnd, alias = event._parsed.rest.split(" ", 1)
    except ValueError:
        event.reply('alias <cmnd> <aliased>')
        return
    _aliases.register(cmnd, alias)
    _aliases.save('aliases')
    event.ok(cmnd)

def aliases(event):
    """ dump aliases. """
    event.reply(_aliases)
