# meds/plugs/reboot.py
#
#

""" reboot the bot, allowing statefull reboot (keeping connections alive). """

from meds.utils.cli import reboot as boot
from meds.object import Object
from meds.event import Event
from meds.cfg import cfg

from meds.core import kernel, fleet, storage, users

import termios
import time
import sys

doreboot = False

def real_reboot(bla):
    kernel.shutdown()
    boot()

def reboot(event):
    if not cfg.main.reboot:
        event.reply("reboot is not enabled")
        return
    if not users.allowed(event.origin, "REBOOT"):
        event.reply("you don't have reboot permissions.")
        return
    event.announce("rebooting")
    time.sleep(1.5)
    resume = Object()
    resume.kernel = kernel._resume
    resume.fleet = fleet
    resume.save("resume")
    e = Event(event)
    e._funcs.append(real_reboot)
    kernel.put(e)
