# meds/plugs/start.py
#
#

""" start a service by running its run script. """

from meds.core import kernel, storage
from meds.cfg import cfg

def start(event):
    user = storage.last("user", event.origin)
    if not user or (user and "START" not in user.permissions):
        event.reply("EPERM START %s" % event.origin)
        return
    if not event._parsed.rest:
        res = [x for x in names.keys() if "run" in x]
        event.reply(sorted(res))
        return
    if event._parsed.rest not in cfg.main.init:
        cfg.main.init += "," + event._parsed.rest
    name = "meds.run.%s" % event._parsed.rest
    kernel.reload(name, force=True)
    event.ok(name)
