# meds/plugs/storage.py
#
#
from meds.utils.tijd import day, to_day
from meds.errors import ESIGNATURE
from meds.object import Object
from meds.core import storage

import time

def find(event):
    """ present a list of objects based on prompt input. """
    nr = 1
    for obj in storage.selected(event):
        event.display(obj, event._parsed.args, str(nr))
        nr += 1

def rm(event):
    """ set deleted flag on objects. """
    nr = 1
    event.nodel = True
    for obj in storage.selected(event):
        obj.deleted = True
        obj.sync()
        nr += 1
    event.ok(nr)

def deleted(event):
    """ show deleted records. """
    nr = 1
    event.nodel = True
    for obj in storage.selected(event):
       event.display(obj, event._parsed.args, str(nr))
       nr += 1

def dump(event):
    """ dump objects matching the given criteria. """
    for obj in storage.selected(event):
        event.reply(obj.nice())

def restore(event):
    """ set deleted=False in selected records. """
    nr = 1
    event.nodel = True
    for obj in storage.selected(event):
        obj.deleted = False
        obj.sync()
        nr += 1
    event.ok(nr)

def first(event):
    """ show the first record matching the given criteria. """
    obj = storage.first(*event.fields)
    if obj: event.reply(obj.nice())

def last(event):
    """ show last object matching the criteria. """
    obj = storage.last(*event._parsed.args)
    if obj: event.reply(obj.nice())

def fix(event):
    """ correct signature failures. """
    if not event._parsed.rest: event.reply("fix <path>") ; return
    try:  obj = Object().load(event._parsed.rest, force=True)
    except ESIGNATURE: pass
    except FileNotFoundError as ex: event.reply(ex) ; return
    obj.sync()
    event.ok(event._parsed.rest)
