# meds/run/irc.py
#
#

""" code run at irc startup. """

from meds.utils.name import sname
from meds.bots.irc import IRC
from meds.cfg import cfg

from meds.core import objs, launcher, storage, fleet

def init(event):
    """ start irc bot. """
    if cfg.main.all or "irc" in cfg.main.init:
        config = storage.last("cfg", "irc")
        if not config: config = cfg.irc ; config.save()
        bot = IRC(config)
        bot.start()

def shutdown(event):
    for bot in fleet:
        if "IRC" in str(type(bot)):
           try: bot.quit()
           except BrokenPipeError: pass
           bot.stop()
    launcher.kill("IRC")
