# meds/run/rss.py
#
#

""" runtime code to intialize RSS. """

from meds.core import storage, objs, launcher
from meds.object import Object
from meds.rss import RSS
from meds.cfg import cfg

import logging

objs.seen = Object()
objs.seen.list = []
objs.seen.seen = "rss"
objs.seen.prefix = "seen"

def init(event):
    if cfg.main.all or "rss" in cfg.main.init:
        obj = storage.last("seen", "rss")
        if obj: objs.seen = obj
        logging.warn("# seen %s" % len(objs.seen.list))
        rss = RSS()
        objs.RSS = rss
        launcher.launch(rss.start)

def shutdown(event):
    for obj in objs.get("RSS", []):
        obj.stop()

def fetcher(event):
    event.reply("fetching")
    if "RSS" in objs:
        objs.RSS.fetcher()

fetcher.threaded = True