# meds/run/stats.py
#
#

""" code to start the stats plugin, mentioning a suicide statistic. """

from meds.core import storage, launcher
from meds.clock import Repeater
from meds.cfg import cfg

def init(event):
    _cfg = storage.last('cfg', 'stats')
    if _cfg: cfg.stats = _cfg
    from meds.plugs.stats import wanted, cijfers, seconds, nr, stats
    for name, obj in wanted.items():
        for key, val in obj.items():
            if key in cfg.main.init.split(","):
                sec = seconds(val)
                repeater = Repeater(sec, stats, event, name="Stats.%s" % key)
                launcher.launch(repeater.start)

def shutdown(event):
    launcher.kill("Stats")
