# meds/run/xmpp.py
#
#

""" XMPP bot startup script. """

from meds.core import storage, launcher, fleet
from meds.bots.xmpp import XMPP
from meds.cfg import cfg

import logging
import os

def init(event):
    if cfg.main.all or "xmpp" in cfg.main.init:
        from meds.core import kernel
        config = storage.last("cfg", "xmpp")
        if not config: config = cfg.xmpp ; config.save()
        fn = os.path.expanduser("~/.sleekpass")
        try:
            f = open(fn, "r")
            pw = f.read()
            f.close()
        except:
            logging.error("missing sleekpass file")
            return
        bot = XMPP(config)
        bot.start(pw)

def shutdown(event):
    for bot in fleet:
        if "XMPP" in str(type(bot)):
           bot.stop()
    launcher.kill("XMPP")

