#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1203',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description='Antipsychotica zijn dodelijk en zonder verpleging is behandeling moord.',
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["feedparser==5.2.1","beautifulsoup4", "sleekxmpp"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-sed", "bin/meds-docs", "bin/meds-cleandocs", "bin/meds-do", "bin/meds-local", "bin/meds-test", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.cbs',
              'meds.plugs',
              'meds.run',
              'meds.utils'
             ],
    long_description="""

In 2012 heb ik het Europeese Hof voor de Rechten van de Mens aangeschreven
om een klacht tegen Nederland in te dienen. De klacht betrof het afwezig
zijn van verpleging in het nieuwe ambulante behandeltijdperk van de GGZ.

Een arts die mishandelt met dodelijke stof en de noodzakelijke verpleging achterwege laat maakt levensgevaarlijke omstandigheden voor zijn patienten. Dit is voorwaardelijke opzet, waarbij het risico genomen word dat iemand overlijd. Word het risico werkelijkheid dan is het moord.

(F)ACT bied niet de noodzakelijke verpleging die behandeling met antipsychotica verantwoord maken:

* verpleging naar gelang de situatie - meer zorg naarmate de situatie erger is, is niet preventief.
* niet 7 x 24 uurs verpleging - in het weekend en avonduren niet aanwezig.
* psychiater is niet op de hoogte van de situatie van de patient.
* de patient behandelovereenkomsten zijn niet volledig.
* zonder bedden geen snelle terugbrenging naar ziekenhuis mogelijk.

Een arts die mishandelt met dodelijke stof en de noodzakelijke verpleging achterwege laat maakt levensgevaarlijke omstandigheden voor zijn patienten. Dit is voorwaardelijke opzet, waarbij het risico genomen word dat iemand overlijd. Word het risico werkelijkheid dan is het moord.

Antipsychotica zijn dodelijk, gebruik brengt levensgevaar met zich mee:

* Als een arts ontkent dat hij aan het mishandelen is.
* Als een arts de bloedspiegel van een medicijn niet meet.
* Als de noodzakelijke verpleging niet aanwezig is.

Een patient kan te maken krijgen met positieve en negatieve symptomen, symptomen van vergiftiging, onthoudingsverschijnselen en ernstige
bijwerkingen.

Gebruik het log command om een symptoom of verschijnsel te registreren:

* log <txt>
* log <txt> +5
* log <txt> -2

Gebruikt het find command om log terug te zoeken:

* find log
* find log=slaap
* find From=om.nl From Subject Date start=2013-01-04 end=2013-01-17

Voor de log van vandaag gebruik het today command:

* today log

Ook voor de afgelopen week kan je de logs opvragen:

* week log
* week log=wiet

""",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
